import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { CommonCompModule } from '../../../../services/common.modules';

import Parse from 'parse';
@Component({
  selector: 'app-export-file',
  templateUrl: './export-file.component.html',
  styleUrls: ['./export-file.component.scss'],
  imports: [CommonCompModule],
  standalone: true,
})
export class ExportFileComponent implements OnInit {
  @Output() change: EventEmitter<any> = new EventEmitter<any>();

  starCount: number = 0;
  otherCount: number = 0;
  allCount: number = 0;

  constructor(private router: Router, private activeRoute: ActivatedRoute) {}

  ngOnInit() {
    this.activeRoute.paramMap.subscribe(async (params) => {
      let id = params.get('id');
      // let query = new Parse.Query('EduProcess');
      // query.include('branch', 'department');
      // query.equalTo('objectId', id);
      // this.eduProcess = await query.first();
      console.log(id);
      let query = new Parse.Query('EduTextbook');
      query.notEqualTo('isDeleted', true);
      query.equalTo('recommend', true);
      query.equalTo('eduProcess', id);
      this.allCount = await query.count();
      query.containedIn('approval', [
        '101计划”核心教材',
        '“四新”重点建设教材',
        '战略性新兴领域教材',
      ]);
      this.otherCount = await query.count();
    });
  }
  close(){
    history.back()
  }
  next(){
    this.change.emit('next')
  }
}
